Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.grails.web.json
[Java] Enum JSONWriter.Mode

    java.lang.Object
      org.codehaus.groovy.grails.web.json.JSONWriter.Mode

    protected enum JSONWriter.Mode

Enumeration of the possible modes of the JSONWriter

Enum Constant Summary
`ARRAY`
`DONE`
`INIT`
`KEY`
`OBJECT`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Enum Constant Detail

### ARRAY

    JSONWriter.Mode ARRAY

### DONE

    JSONWriter.Mode DONE

### INIT

    JSONWriter.Mode INIT

### KEY

    JSONWriter.Mode KEY

### OBJECT

    JSONWriter.Mode OBJECT

Groovy Documentation